#ifndef SERIAL_H
#define SERIAL_H

#include <zephyr/drivers/uart.h>
#include <stdint.h>

#define UART_BUF_SIZE 240
int uart_init(void);
void serial_thread(void);
void send_uart_data(uint8_t *data_ptr, uint8_t len);
void store_received_ble_data(uint8_t *data_ptr, uint16_t len);
void uart_out_thread(void);
void set_ble_data_sent(void);

#endif